return {
	'stevearc/oil.nvim',
	-- lazy = false,
	event = 'VeryLazy',
	keys = {
		{ '<leader>.', '<cmd>Oil<cr>', desc = 'oil' },
	},
	opts = {
		columns = {
			'mtime',
			'size',
			'permissions',
			'icon',
		},
		-- Buffer-local options to use for oil buffers
		buf_options = {
			buflisted = false,
		},
		-- Window-local options to use for oil buffers
		win_options = {
			wrap = false,
			signcolumn = 'no',
			cursorcolumn = false,
			foldcolumn = '0',
			spell = false,
			list = false,
			conceallevel = 3,
			concealcursor = 'nvic',
		},
		keymaps = {
			['g?'] = 'actions.show_help',
			['<CR>'] = 'actions.select',
			['<C-s>'] = 'actions.select_vsplit',
			['<C-h>'] = 'actions.select_split',
			['<C-p>'] = 'actions.preview',
			['<TAB>'] = 'actions.preview',
			['<C-c>'] = 'actions.close',
			['q'] = 'actions.close',
			['<C-l>'] = 'actions.refresh',
			['-'] = 'actions.parent',
			['l'] = 'actions.parent',
			['_'] = 'actions.open_cwd',
			['`'] = 'actions.cd',
			['~'] = 'actions.tcd',
			['g.'] = 'actions.toggle_hidden',
		},
	},
}
